ppdc(1)

NOME
ppdc - compilador de ppd do cups (descontinuado)

RESUMO
ppdc [ -D name[=value] ] [ -I include-directory ] [ -c message-catalog ] [ -d output-directory ] [ -l language(s) ] [ -m ] [ -t ] [ -v ] [ -z ] [ --cr ] [ --crlf ] [ --lf ] source-file

DESCRIÇÃO
ppdc compila ficheiro fonte PPDC em um ou mais ficheiros PPD. Este programa está descontinuado e será removido num lançamento futuro do CUPS.

OPÇÕES
ppdc suporta as seguintes opções:

-D name[=value]
    Define a variável nomeada para usar no ficheiro fonte. É equivalente a usar a directiva #define no ficheiro fonte.

-I include-directory
    Especifica um directório de inclusão alternativo. Podem ser fornecidas múltiplas opções -I para adicionar directórios adicionais.

-c message-catalog
    Especifica um único ficheiro de catálogo de mensagens em formato gettext GNU (nome-ficheiro.po) ou strings Apple (nome-ficheiro.strings) para ser usado para localização (idioma).

-d output-directory
    Especifica o directório de saída para ficheiros PPD. O directório de saída predefinido é "ppd".

-l language(s)
    Especifica uma ou mais linguagens a usar ao localizar os ficheiro(s) PPD. A linguagem predefinida é "en" (Inglês). Separa múltiplas linguagens com vírgulas, por exemplo "de_DE,en_UK,es_ES,es_MX,es_US,fr_CA,fr_FR,it_IT" irá criar ficheiros PPD na linguagens Alemão, Inglês da UK, Espanhol (Espanha, México e US), Francês (França e Canada), e Italiano em cada ficheiro.

-m  Especifica que o nome de ficheiro de saída deve ser baseado no valor ModelName em vez de FileName ou PCFileName.

-t  Especifica que os ficheiros PPD devem ser testados em vez de gerados.

-v  Especifica saída detalhada, basicamente um estado a correr de quais ficheiros estão a ser carregados ou escritos. -z Gera ficheiros PPD comprimidos (nome-ficheiro.ppd.gz). A predefinição é gerar ficheiros PPD descomprimidos.

--cr

--crlf

--lf
    Especifica o fim de linha a usar - carriage return, carriage return e line feed, ou apenas line. A predefinição é usar só o caractere line feed.

NOTAS
Ficheiros PPD estão descontinuados e não irão ser mais suportados num futuro lançamento do CUPS. Impressoras que não suportem IPP podem ser suportadas usando aplicações como a ippeveprinter(1).

VEJA TAMBÉM
ppdhtml(1), ppdi(1), ppdmerge(1), ppdpo(1), ppdcfile(5), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.